# Animator

Animator : `Instance`

## Overview

애니메이션을 재생하고 동기화하는 핵심 클래스입니다.

실행 중인 AnimationTrack의 복제 과정은 모두 이 인스턴스가 처리합니다.

## Properties

## Methods

### LoadAnimation

지정한 Animation을 Animator에 로드하여 재생 가능한 AnimationTrack 인스턴스를 반환합니다.

Animator가 플레이어 캐릭터처럼 로컬 플레이어가 네트워크 소유권을 가진 모델에 포함되어 있다면, 클라이언트에서 이 메서드를 호출할 때 서버에도 해당 애니메이션이 함께 로드됩니다.

LoadAnimation()을 사용하려면 Animator가 반드시 Workspace 내에 존재해야 하며, Animator는 서버에서 생성되어 클라이언트로 복제되어야 애니메이션 복제가 가능합니다. 로컬에서 생성된 Animator는 로드한 애니메이션을 다른 클라이언트로 전송할 수 없습니다.

#### Parameters

| `Animation` InAnimation | 사용할 애니메이션입니다. |
| ----------------------- | ------------- |

#### Return

| `AnimationTrack` | 반환된 애니메이션 트랙입니다. |
| ---------------- | ---------------- |

#### Code Samples

```lua
local Players = game:GetService("Players")
local LocalPlayer = Players.LocalPlayer

repeat wait() until LocalPlayer.Character

local Character = LocalPlayer.Character
local Humanoid = Character:WaitForChild("Humanoid")

local Animation = Instance.new("Animation")
Animation.AnimationId = "ovdrassetid://18850100" -- WinAnimation01

local Animator = Humanoid:FindFirstChild("Animator")
local AnimationTrack = Animator:LoadAnimation(Animation)

AnimationTrack:Play()
```

## Events

## See also

{% content-ref url="/pages/GWE1QQYA5ZKybkJcVPtz" %}
[캐릭터 애니메이션](/korean/manual/studio-manual/character/character-animation.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/animator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
